#!/bin/sh
set -eu

mkdir -p public

PROJECT_UC="$1"
PROJECT="$2"
MAILING_LIST="$3"

RELEASES_LIST="$(mktemp)"
for version in $(git tag); do
  echo "- version [$version](https://git.euandreh.xyz/$PROJECT/snapshot/$PROJECT-$version.tar.gz), released in $(git log -1 --format=%cd --date=short "$version")" >> "$RELEASES_LIST"
done

RELEASES="$(mktemp)"
if [ -s "$RELEASES_LIST" ]; then
  printf '\n# Releases\n\n' >> "$RELEASES"
  cat "$RELEASES_LIST" >> "$RELEASES"
fi

LINKS="$(mktemp)"
cat <<EOF > "$LINKS"

# Links

- [home page](https://$PROJECT.euandreh.xyz)
- [source code](https://git.euandreh.xyz/$PROJECT/about/)
- [bug tracking](https://$PROJECT.euandreh.xyz/TODOs.html)
- [mailing list](https://lists.sr.ht/~euandreh/$MAILING_LIST?search=%5B$PROJECT%5D)
- [CI logs](https://$PROJECT.euandreh.xyz/ci.html)
- [CHANGELOG](https://$PROJECT.euandreh.xyz/CHANGELOG.html)
EOF

cat "README.md" "$LINKS" "$RELEASES" | \
  pandoc --toc                                   \
         --highlight-style pygments              \
         --toc-depth=2                           \
         -s                                      \
         --metadata title="$PROJECT_UC - README" \
         --metadata lang=en                      \
         -r commonmark                           \
         -w html                                 \
         > public/index.html
